package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class SatuanHasil
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "SatuanHasil_M")
public class SatuanHasilVO extends BaseMasterVO {
	@ManyToOne
	@JoinColumn(name = "ObjectDepartemenFk")
	@NotNull(message="Object DepartemenVO Harus Diisi")
	@Caption(value="Object Departemen")
	private DepartemenVO departemen;

	public void setDepartemen(DepartemenVO departemen) {
		this.departemen = departemen;
	}

	@Column(name = "KdDepartemen", nullable = false , length = 1)
	public DepartemenVO getDepartemen(){
		return this.departemen;
	}

	@Column(name = "ObjectDepartemenFk", insertable=false,updatable=false)
	private Integer departemenId;

	@Caption(value="Kode Satuan Hasil")
	private Byte kdSatuanHasil;

	public void setKdSatuanHasil(Byte kdSatuanHasil) {
		this.kdSatuanHasil = kdSatuanHasil;
	}

	@Column(name = "KdSatuanHasil", nullable = false )
	public Byte getKdSatuanHasil(){
		return this.kdSatuanHasil;
	}

	@Caption(value="QSatuan Hasil")
	private Byte qSatuanHasil;

	public void setqSatuanHasil(Byte qSatuanHasil) {
		this.qSatuanHasil = qSatuanHasil;
	}

	@Column(name = "QSatuanHasil", nullable = false )
	public Byte getqSatuanHasil(){
		return this.qSatuanHasil;
	}

	@Caption(value="Satuan Hasil")
	private String satuanHasil;

	public void setSatuanHasil(String satuanHasil) {
		this.satuanHasil = satuanHasil;
	}

	@Column(name = "SatuanHasil", nullable = false , length = 30)
	public String getSatuanHasil(){
		return this.satuanHasil;
	}


}

